--- old/usr/src/lib/pkcs11/pkcs11_softtoken/common/softSSL.c	Fri Jul  6 15:55:12 2018
+++ new/usr/src/lib/pkcs11/pkcs11_softtoken/common/softSSL.c	Fri Jul  6 15:55:12 2018
@@ -21,6 +21,7 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2018, Joyent, Inc.
  */
 
 #include <fcntl.h>
@@ -925,8 +926,7 @@
 	if (new_tmpl_allocated)
 		free(new_tmpl);
 
-	if (export_keys != NULL)
-		free(export_keys);
+	freezero(export_keys, 2 * MD5_HASH_SIZE);
 
 	return (rv);
 
@@ -955,8 +955,7 @@
 	if (new_tmpl_allocated)
 		free(new_tmpl);
 
-	if (export_keys != NULL)
-		free(export_keys);
+	freezero(export_keys, 2 * MD5_HASH_SIZE);
 
 	return (rv);
 }
